## mx4j.monitor
Class MX4JCounterMonitor

    java.lang.Object
      javax.management.StandardMBean
          mx4j.monitor.MX4JMonitor
              mx4j.monitor.MX4JCounterMonitor

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, MX4JCounterMonitorMBean, MX4JMonitorMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class MX4JCounterMonitor
extends MX4JMonitor
implements MX4JCounterMonitorMBean

Version:
  $Revision: 1.3 $

Nested Class Summary
`protected class` `MX4JCounterMonitor.CounterMonitorInfo`

Nested classes inherited from class mx4j.monitor.MX4JMonitor
`MX4JMonitor.MonitorInfo`

Constructor Summary
`` `MX4JCounterMonitor()`
`protected` `MX4JCounterMonitor(java.lang.Class management)`

Method Summary
`protected int` `compare(java.lang.Number left, java.lang.Number right)`
`protected MX4JMonitor.MonitorInfo` `createMonitorInfo()`
`java.lang.Number` `getDerivedGauge(javax.management.ObjectName name)`
`long` `getDerivedGaugeTimeStamp(javax.management.ObjectName name)`
`boolean` `getDifferenceMode()`
`java.lang.Number` `getInitThreshold()`
`java.lang.Number` `getModulus()`
`javax.management.MBeanNotificationInfo[]` `getNotificationInfo()`
`boolean` `getNotify()`
`java.lang.Number` `getOffset()`
`java.lang.Number` `getThreshold(javax.management.ObjectName name)`
`protected void` `monitor(javax.management.ObjectName name, java.lang.String attribute, java.lang.Object value, MX4JMonitor.MonitorInfo monitorInfo)`
`void` `setDifferenceMode(boolean mode)`
`void` `setInitThreshold(java.lang.Number threshold)`
`void` `setModulus(java.lang.Number modulus)`
`void` `setNotify(boolean notify)`
`void` `setOffset(java.lang.Number offset)`
`protected java.lang.Number` `sub(java.lang.Number left, java.lang.Number right)`
`protected java.lang.Number` `sum(java.lang.Number left, java.lang.Number right)`

Methods inherited from class mx4j.monitor.MX4JMonitor

`addNotificationListener, addObservedObject, clearObservedObjects, containsObservedObject, createMonitorNotification, createNotificationEmitter, getGranularityPeriod, getLogger, getMonitorInfo, getObservedAttribute, getObservedObjects, isActive, postDeregister, postRegister, preDeregister, preRegister, putMonitorInfo, removeMonitorInfo, removeNotificationListener, removeNotificationListener, removeObservedObject, sendErrorNotification, sendNotification, sendNotification, setGranularityPeriod, setObservedAttribute, start, startMonitor, stop, stopMonitor`

Methods inherited from class javax.management.StandardMBean
`cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInfo, getMBeanInterface, getParameterName, getParameterName, invoke, setAttribute, setAttributes, setImplementation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mx4j.monitor.MX4JMonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, start, stop`

Constructor Detail

### MX4JCounterMonitor

    public MX4JCounterMonitor()
                       throws javax.management.NotCompliantMBeanException

### MX4JCounterMonitor

    protected MX4JCounterMonitor(java.lang.Class management)
                          throws javax.management.NotCompliantMBeanException

Method Detail

### getNotificationInfo

    public javax.management.MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `javax.management.NotificationBroadcaster`

### getInitThreshold

    public java.lang.Number getInitThreshold()

  Specified by:
    `getInitThreshold` in interface `MX4JCounterMonitorMBean`

### setInitThreshold

    public void setInitThreshold(java.lang.Number threshold)
                          throws java.lang.IllegalArgumentException

  Specified by:
    `setInitThreshold` in interface `MX4JCounterMonitorMBean`
  Throws:
    `java.lang.IllegalArgumentException`

### getOffset

    public java.lang.Number getOffset()

  Specified by:
    `getOffset` in interface `MX4JCounterMonitorMBean`

### setOffset

    public void setOffset(java.lang.Number offset)
                   throws java.lang.IllegalArgumentException

  Specified by:
    `setOffset` in interface `MX4JCounterMonitorMBean`
  Throws:
    `java.lang.IllegalArgumentException`

### getModulus

    public java.lang.Number getModulus()

  Specified by:
    `getModulus` in interface `MX4JCounterMonitorMBean`

### setModulus

    public void setModulus(java.lang.Number modulus)
                    throws java.lang.IllegalArgumentException

  Specified by:
    `setModulus` in interface `MX4JCounterMonitorMBean`
  Throws:
    `java.lang.IllegalArgumentException`

### getNotify

    public boolean getNotify()

  Specified by:
    `getNotify` in interface `MX4JCounterMonitorMBean`

### setNotify

    public void setNotify(boolean notify)

  Specified by:
    `setNotify` in interface `MX4JCounterMonitorMBean`

### getDifferenceMode

    public boolean getDifferenceMode()

  Specified by:
    `getDifferenceMode` in interface `MX4JCounterMonitorMBean`

### setDifferenceMode

    public void setDifferenceMode(boolean mode)

  Specified by:
    `setDifferenceMode` in interface `MX4JCounterMonitorMBean`

### getDerivedGauge

    public java.lang.Number getDerivedGauge(javax.management.ObjectName name)

  Specified by:
    `getDerivedGauge` in interface `MX4JCounterMonitorMBean`

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(javax.management.ObjectName name)

  Specified by:
    `getDerivedGaugeTimeStamp` in interface `MX4JCounterMonitorMBean`

### getThreshold

    public java.lang.Number getThreshold(javax.management.ObjectName name)

  Specified by:
    `getThreshold` in interface `MX4JCounterMonitorMBean`

### compare

    protected int compare(java.lang.Number left,
                          java.lang.Number right)

### sum

    protected java.lang.Number sum(java.lang.Number left,
                                   java.lang.Number right)

### sub

    protected java.lang.Number sub(java.lang.Number left,
                                   java.lang.Number right)

### monitor

    protected void monitor(javax.management.ObjectName name,
                           java.lang.String attribute,
                           java.lang.Object value,
                           MX4JMonitor.MonitorInfo monitorInfo)

  Specified by:
    `monitor` in class `MX4JMonitor`

### createMonitorInfo

    protected MX4JMonitor.MonitorInfo createMonitorInfo()

  Specified by:
    `createMonitorInfo` in class `MX4JMonitor`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.